Payload types and formats.

## Classes

class | PayloadFormat
| Base payload format class. More...
class | StaticPayloadFormat
| Static payload format objects. More...
class | DynamicPayloadFormat
| Dynamic payload format objects. More...

## Typedefs

typedef uint8 | PayloadType
| RTP payload type numeric identifier. More...

## Enumerations

enum

StaticPayloadType {
sptPCMU = 0, firstStaticPayloadType = sptPCMU, sptG726_32 = 2, sptGSM,
sptG723, sptDVI4_8000, sptDVI4_16000, sptLPC,
sptPCMA, sptG722, sptL16_DUAL, sptL16_MONO,
sptQCELP, sptMPA = 14, sptG728, sptDVI4_11025,
sptDVI4_22050, sptG729, lastStaticAudioPayloadType = sptG729, sptCELB = 25,
sptJPEG, sptNV = 28, sptH261 = 31, sptMPV,
sptMP2T, sptH263, lastStaticPayloadType = sptH263
}

| RTP static payload types (default bindings) defined in the AVP profile. More...

## Variables

const PayloadType | ptINVALID = 128
| Predefined value for invalid or uninitialized payload type variables. More...

## Detailed Description

## Typedef Documentation

PayloadType

RTP payload type numeric identifier.

At the RTP level a payload format is identified with a 7 bit number. This number is binded to a payload format through non-RTP means (SIP, SAP, application specific rules, etc.)

## Enumeration Type Documentation

enum StaticPayloadType

RTP static payload types (default bindings) defined in the AVP profile.

Enumerator
sptPCMU | ITU-T G.711. mu-law audio 8 Khz (RFC 1890)
firstStaticPayloadType |
sptG726_32 | ITU-T G.726. ADPCM audio (RFC 1890)
sptGSM | GSM audio (RFC 1890)
sptG723 | ITU-T G.723. MP-MLQ ACELP audio (RFC 1890)
sptDVI4_8000 | Modified IMA ADPCM audio 8Khz (RFC 1890)
sptDVI4_16000 | Modified IMA ADPCM audio 16Khz (RFC 1890)
sptLPC | LPC audio (RFC 1890)
sptPCMA | ITU-T G.711 A-law audio 8 Khz (RFC 1890)
sptG722 | Audio (RFCs 1890, 3047)
sptL16_DUAL | Linear uncompressed dual audio (RFC 1890)
sptL16_MONO | Linear uncompressed mono audio (RFC 1890)
sptQCELP | Audio at 8000 hz.
sptMPA | MPEG Audio elem. stream (RFCs 1890, 2250)
sptG728 | ITU-T G.728. LD-CELP audio.
sptDVI4_11025 | DVI audio at 11025 hz (by Joseph Di Pol)
sptDVI4_22050 | DVI audio at 22050 hz (by Joseph Di Pol)
sptG729 | ITU-T G.729. CS-ACELP audio.
lastStaticAudioPayloadType |
sptCELB | Sun's propietary video (RFCs 1890, 2029)
sptJPEG | JPEG (ISO 10918) video (RFCs 1890, 2435)
sptNV | Ron Frederick's nv audio (RFC 1890)
sptH261 | ITU-T H.261 video (RFCs 1890, 2032)
sptMPV | MPEG Video elem. stream (RFCs 1890, 2250)
sptMP2T | MPEG 2 Transport stream (RFCs 1890, 2250)
sptH263 | ITU-T H.263 video (RFCs 2190, 2429)
lastStaticPayloadType |

## Variable Documentation

const PayloadType ptINVALID = 128

Predefined value for invalid or uninitialized payload type variables.